/*
	FileList 1.4
	"Stack.c"
*/

#include "Stack.h"

void InitStack (register STACK *s)
{
	s->pointer = s->max = (STACKELEMENT *)&(s->stack) + STACKSIZE;
}

short PushStack (
	register STACK *s,
	STACKELEMENT x)
{
	if (s->pointer <= (STACKELEMENT *)&(s->stack))
		return 0;
	*(--(s->pointer)) = x;
	return 1;
}

STACKELEMENT PopStack (register STACK *s)
{
	if (s->pointer >= s->max)
		return STACKERROR;
	return *((s->pointer)++);
}
