/*
	FileList 1.4
	"FileSearch.h"
*/

short IsArchive (HFileInfo *);
void CloseArchive (void);
CInfoPBPtr NextArchiveFile (void);

Boolean FileSearchOpen (short);
HVolumeParam *FirstVol (short);
HVolumeParam *NextVol (void);
void FirstFile (long);
CInfoPBPtr NextFile (void);
short CurrVol (void);
short CurrLevel (void);
long CurrDir (void);
Boolean PopDir (void);
void FileSearchClose (void);

#define IsHFSVol(volPB)			(volPB.ioVSigWord == 0x4244)
#define IsMFSVol(volPB)			(volPB.ioVSigWord == 0xD2D7)
#define IsHFSorMFS				(volPB.ioVFSID == 0x0000)
#define IsAppleShare			(volPB.ioVFSID >= 0x0001 && \
									volPB.ioVFSID<= 0x0016)
#define IsHighSierra			(volPB.ioVFSID == 0x4242)
#define IsISO9660				(volPB.ioVFSID == 0x4147)
