/*
	FileList 1.4
	"Options.h"
*/

typedef struct {					/* Options file structure: */
	long			version;		/* - version number */
	long			heap;			/* - minimum heap size */
	unsigned short	volumes;		/* - percentage of volumes */
	unsigned short	files;			/* - percentage of files */
	unsigned short	name;			/* - average name size */
	short			date;			/* - date format */
	Byte			stuffit;		/* - recognize StuffIt archives */
	Byte			automatic;		/* - automatic volume mode */
	Byte			compactor;		/* - recognize Compactor archives */
	Byte			tabs;			/* - tabs or spaces for text */
	Rect			vwindow;		/* - volume window */
	Rect			fwindow;		/* - file window */
} Parameter, *ParameterPtr, **ParameterHdl;

void DoOptions (short);
